# ``twisted`.`conch`.`checkers`.`InMemorySSHKeyDB``

class documentation

`class InMemorySSHKeyDB: (source)`

Implements interfaces: `twisted.conch.checkers.IAuthorizedKeysDB`

View In Hierarchy

Object that provides SSH public keys based on a dictionary of usernames mapped to `twisted.conch.ssh.keys.Key`s.

Present Since
15.0

Method | `__init__` | Initializes a new `InMemorySSHKeyDB`.
Method | `getAuthorizedKeys` | Gets an iterable of authorized keys that are valid for the given `avatarId`.
Instance Variable | `_mapping` | Undocumented

def __init__(self, mapping): (source)
Initializes a new `InMemorySSHKeyDB`.

Parameters
mapping:`dict` | mapping of usernames to iterables of `twisted.conch.ssh.keys.Key`s

def getAuthorizedKeys(self, username): (source)
from `twisted.conch.checkers.IAuthorizedKeysDB`
Gets an iterable of authorized keys that are valid for the given `avatarId`.

Parameters
username | Undocumented
avatarId:valid return value of `twisted.cred.checkers.ICredentialsChecker.requestAvatarId` | the ID of the avatar
Returns
an iterable of `twisted.conch.ssh.keys.Key`

_mapping = (source)

Undocumented